### Method

# Nautilus FileInfo is_directory

#### Declaration [src]

    gboolean
    nautilus_file_info_is_directory (
      NautilusFileInfo* file_info
    )

#### Description [src]

Gets whether the `NautilusFileInfo` is a directory.

Uses the cached `GFileType` matches `G_FILE_TYPE_DIRECTORY` without doing any blocking i/o.

#### Return value

Type: `gboolean`

`TRUE` when `file_info` is a directory, and `FALSE` otherwise.